Bug 1655999 - Unable to update Periodic Rotating File Handler resource configuration
Summary: Unable to update Periodic Rotating File Handler resource configuration
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 7
Version: JON 3.3.11
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: CR01
: One-off release
Assignee: Josejulio Martínez
QA Contact: Sunil Kondkar
URL:
Whiteboard:
Depends On:
Blocks: 1657856
TreeView+ depends on / blocked
 
Reported: 2018-12-04 12:09 UTC by Filip Brychta
Modified: 2019-05-16 09:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-16 09:27:40 UTC
Type: Bug


Attachments (Terms of Use)

Description Filip Brychta 2018-12-04 12:09:36 UTC
Description of problem:
Attempt to update Periodic Rotating File Handler resource configuration fails with:
{WFLYCTL0062: Composite operation failed and was rolled back. Steps that failed:={Operation step-7=WFLYCTL0105: formatter is invalid in combination with named-formatter}}, rolled-back=true

But named-formatter is not even available in JON UI.

Version-Release number of selected component (if applicable):
JON 3.3.11 + EAP plugin pack 08.CR01

How reproducible:
Always

Steps to Reproduce:
1. start EAP 7 standalone
2. import the EAP 7 standalone from discovery queue
3. run Install RHQ User operation
4. navigate to EAP 7->Subsystems->Core->logging->Periodic Rotating File Handler ->FILE->Configuration
5. set Autoflush to False
6. Save

Actual results:
{WFLYCTL0062: Composite operation failed and was rolled back. Steps that failed:={Operation step-7=WFLYCTL0105: formatter is invalid in combination with named-formatter}}, rolled-back=true

But named-formatter is not even available in JON UI.

Expected results:
Configuration properties should be up to date and configuration update should be successful.

See /subsystem=logging/periodic-rotating-file-handler=FILE:read-resource-description


Additional info:
Tried on EAP 7.2 and EAP 7.1

Comment 1 Josejulio Martínez 2019-04-05 18:19:20 UTC
commit 35a4349324cba23eb5d17a1465a0e1618e2c87d3
Author: Josejulio Martínez <jmartine@redhat.com>
Date:   Tue Apr 2 16:04:51 2019 -0600

    Bug 1655999 - Adds named-formatter

Comment 5 Josejulio Martínez 2019-04-24 20:42:54 UTC
commit 015e89a464996be3e3d5fe03a28dc727a1de849a
Author: Josejulio Martínez <jmartine@redhat.com>
Date:   Tue Apr 23 17:18:59 2019 -0500

    Bug 1655999 - Avoid showing the default value for formatter when named-formatter is set

Comment 8 Sunil Kondkar 2019-04-30 07:28:38 UTC
Verified on CR01 build of 3.3 EAP Plugin Pack Update 09

Verified that Periodic Rotating File Handler resource configuration is successful.
Verified on EAP7.2 and EAP7.1.6


Note You need to log in before you can comment on or make changes to this bug.